Bug 786030 - Munins yum.state is not created automatically
Munins yum.state is not created automatically
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: munin (Show other bugs)
15
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-31 03:50 EST by customercare
Modified: 2012-03-01 04:32 EST (History)
3 users (show)

See Also:
Fixed In Version: munin-1.4.6-5.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-01 04:31:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description customercare 2012-01-31 03:50:46 EST
Description of problem:

after installing munin via yum, this state file is not created, butit should be.

Version-Release number of selected component (if applicable):

munin-1.4.6-4

How reproducible:

[root]# munin-run yum
Can't open /var/lib/munin/plugin-state/yum.state for reading: No such file or directory
Please read 'munindoc yum' to understand why if the file does not exist.


Steps to Reproduce:
1. install munin
2. run "munin-run yum"
3. there it is
  
Actual results:

Can't open /var/lib/munin/plugin-state/yum.state for reading: No such file or directory

Expected results:

a working plugin ;)

Additional info:

this behavior has been mentioned in the munin bugracker for 1.4.3 already, but got not fixed at all.

http://munin-monitoring.org/ticket/806

### FIX ###

[root@backup ~]# munin-run yum
Can't open /var/lib/munin/plugin-state/yum.state for reading: No such file or directory
Please read 'munindoc yum' to understand why if the file does not exist.   
[root@backup ~]# touch /var/lib/munin/plugin-state/yum.state
[root@backup ~]# chown munin:munin /var/lib/munin/plugin-state/yum.state
[root@backup ~]# munin-run yum  
[root@backup ~]#
Comment 1 Kevin Fenzi 2012-02-05 14:53:32 EST
Can you try this scratch build: 

http://koji.fedoraproject.org/koji/taskinfo?taskID=3764407

And confirm it fixes the issue?
Comment 2 customercare 2012-02-05 15:49:45 EST
Seems to work.

i removed the state file by hand and updated to the rpm from your scratch build.

The steps have been :

# munin-run yum

Can't open /var/lib/munin/plugin-state/yum.state for reading: No such file or directory
Please read 'munindoc yum' to understand why if the file does not exist.
# yum update munin-node-1.4.6-7.fc15.noarch.rpm

...

Führe Verarbeitung durch
  Aktualisieren: munin-node-1.4.6-7.fc15.noarch                                                                                                                                                          1/Warnung: /etc/munin/munin-node.conf erstellt als /etc/munin/munin-node.conf.rpmnew
  Aufräumen    : munin-node-1.4.6-4.fc15.1.noarch                                                                                                                                                        2/

Aktualisiert:
  munin-node.noarch 0:1.4.6-7.fc15

Komplett!
# munin-run yum
pending.value 0 
#


BTW ... if your already on it :

This works better for the exim mailqueue  :

File: /etc/munin/plugin-conf.d/munin-node

# diff munin-node munin-node.rpmsave
21c21
< group mail
---
> user exim
33a34,40
>
> #[xen_traffic_all]
> #user root
> #
> #[xen_percent]
> #user root
>                  

otherwise you don't get the actual data if exim is installed.
Comment 3 customercare 2012-02-13 04:55:32 EST
NEW ITEM:

Munin uses "eximqgrep" to determine how many mails are in the queue.

In Exim 4.76 eximqgrep does not entirely understand the output of exims queue lister cmd. With one messages below 1k size in the queue, this leads to a fault inside "eximqgrep" which does not report values to munin, which will draw a zeroline as long as this ( or any other undersized ) msg stays in the queue.

Phil Pennock wrote this today about the problem: 
+++++++++++++++++++++++++++++++++++++++++
> "exim -bpu" gives out this queue entry:
>
> 19m   616 1RvXzL-00018c-CI <spam@spammer.de>
>           fakeemails@fakemails.com
>
> this does not match the old regex above, cause it does not have a
> unitchar like this line does:

This has already been fixed in git commit 196f5966 of 2011-10-07.

That was included in the Exim 4.77 release.

Update your Exim and you should be fine.
+++++++++++++++++++++++++++++++++++++++++

So i advise to upgrade to exim 4.77 or at least fix eximqgrep in 4.76-3 with this temporary fix :

# rpm -qf /usr/sbin/exiqgrep
exim-4.76-2.fc15.i686

old:  LINE 91 of 195

if ($line =~
/^\s*(\w+)\s+((?:\d+(?:\.\d+)?[A-Z])?)\s*(\w{6}-\w{6}-\w{2})\s+(<.*?>)/) {

new :

if ($line =~
/^\s*(\w+)\s+((?:\d+(?:\.\d+)?[\sA-Z])?)\s*(\w{6}-\w{6}-\w{2})\s+(<.*?>)/) {
Comment 4 Kevin Fenzi 2012-02-19 16:20:09 EST
Can you please file a new bug about the exim issue? (Possibly two... one against exim to update and one on munin to fix this regex in the mean time?)

I am pushing an update for this yum issue now...
Comment 5 Fedora Update System 2012-02-19 16:22:18 EST
munin-1.4.6-5.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/munin-1.4.6-5.fc16
Comment 6 Fedora Update System 2012-02-19 16:36:40 EST
munin-1.4.6-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/munin-1.4.6-5.fc15
Comment 7 Fedora Update System 2012-02-20 20:29:15 EST
Package munin-1.4.6-5.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing munin-1.4.6-5.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-2074/munin-1.4.6-5.fc15
then log in and leave karma (feedback).
Comment 8 customercare 2012-02-22 15:33:31 EST
i'm unable to help: 

# yum update --enablerepo=updates-testing munin-1.4.6-5.fc15
Geladene Plugins: langpacks, presto


Error getting repository data for updates-testing, repository not found 

pls supply the testrepo entry for /etc/yum.repos.d/
Comment 9 Kevin Fenzi 2012-02-22 16:19:32 EST
It should be included (but disabled by default) in fedora-release package. 

Can you attach output of: 

rpm -q fedora-release

yum repolist 

?
Comment 10 Fedora Update System 2012-03-01 04:31:16 EST
munin-1.4.6-5.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2012-03-01 04:32:21 EST
munin-1.4.6-5.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.